extractr docs
Resident Advisor

Event listings for an area

GET
/ra/event_listings

The paged event listings for an RA area (city/region), optionally narrowed to a date window and sorted. Use /ra/areas to resolve an area_id.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

area_id?|

RA area id (e.g. 13 = London).

date_from?string
Formatdate
date_to?string
Formatdate
sort?string
Default"date"

Value in

  • "date"
  • "popularity"
page?integer
Range1 <= value
Default1
page_size?integer
Range1 <= value <= 50
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ra/event_listings"
{  "area": {    "id": "13",    "name": "London",    "url_name": "uk/london",    "country": {      "id": "3",      "name": "United Kingdom",      "iso_code": "GB",      "top_country": true    },    "timezone": "Europe/London",    "location": {      "lat": 51.5074,      "lng": -0.1278    }  },  "total_results": 0,  "page": 0,  "page_size": 0,  "events": [    {      "id": "1780850",      "title": "fabric: Ben Klock, Objekt, Call Super",      "date": "2026-08-14",      "start_time": "2026-08-14T22:00:00Z",      "end_time": "2026-08-15T06:00:00Z",      "cost": "£20 - £30",      "genres": [        "techno",        "house"      ],      "lineup": [        "Ben Klock",        "Objekt",        "Call Super"      ],      "is_ticketed": true,      "minimum_age": 18,      "attending": 342,      "image": "http://example.com",      "venue": {        "id": "1746",        "name": "fabric",        "address": "77a Charterhouse St, London EC1M 6HJ",        "blurb": "string",        "live": true,        "logo_url": "http://example.com",        "photo": "http://example.com",        "area": {          "id": "13",          "name": "London",          "url_name": "uk/london",          "country": {            "id": "3",            "name": "United Kingdom",            "iso_code": "GB",            "top_country": true          },          "timezone": "Europe/London",          "location": {            "lat": 51.5074,            "lng": -0.1278          }        },        "url": "https://ra.co/clubs/1746"      },      "area": {        "id": "13",        "name": "London",        "url_name": "uk/london",        "country": {          "id": "3",          "name": "United Kingdom",          "iso_code": "GB",          "top_country": true        },        "timezone": "Europe/London",        "location": {          "lat": 51.5074,          "lng": -0.1278        }      },      "promoters": [        {          "id": "311",          "name": "fabric",          "logo_url": "http://example.com",          "blurb": "string",          "url": "https://ra.co/promoters/311"        }      ],      "url": "https://ra.co/events/1780850"    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}